vlc-2.2.4-30.1.x86_64.rpm


Advertisement

Description

vlc - Graphical media player

Property Value
Distribution openSUSE Leap 42.2
Repository openSUSE Update Oss all
Package name vlc
Package version 2.2.4
Package release 30.1
Package architecture x86_64
Package type rpm
Installed size 401.73 KB
Download size 247.08 KB
Official Mirror ftp.gwdg.de
VLC media player is a multimedia player for many
audio and video files and formats (such as MPEG, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast
in IPv4 or IPv6 on a high-bandwidth network.

Alternatives

Package Version Architecture Repository
vlc-2.2.8-238.2.x86_64.rpm 2.2.8 x86_64 openSUSE Multimedia Libs
vlc-2.2.6-32.8.4.x86_64.rpm 2.2.6 x86_64 Packman
vlc-2.2.6-32.6.3.x86_64.rpm 2.2.6 x86_64 VLC
vlc-2.2.6-32.3.1.x86_64.rpm 2.2.6 x86_64 openSUSE Update Oss
vlc-2.2.4-28.1.x86_64.rpm 2.2.4 x86_64 openSUSE Oss
vlc - - -

Requires

Name Value
libEGL.so.1()(64bit) -
libGL.so.1()(64bit) -
libSDL-1.2.so.0()(64bit) -
libSDL_image-1.2.so.0()(64bit) -
libX11.so.6()(64bit) -
libaa.so.1()(64bit) -
libass.so.5()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libfribidi.so.0()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libgcrypt.so.20()(64bit) -
libgcrypt.so.20(GCRYPT_1.6)(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.15)(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libnotify.so.4()(64bit) -
libprojectM.so.2()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libvlccore.so.8()(64bit) -
libxcb-randr.so.0()(64bit) -
libxcb.so.1()(64bit) -
vlc-noX = 2.2.4-30.1
vlc-noX -
vlc-qt = 2.2.4-30.1

Provides

Name Value
appdata() -
appdata(vlc.appdata.xml) -
application() -
application(vlc.desktop) -
libaa_plugin.so()(64bit) -
libegl_x11_plugin.so()(64bit) -
libfreetype_plugin.so()(64bit) -
libglspectrum_plugin.so()(64bit) -
liblibass_plugin.so()(64bit) -
libnotify_plugin.so()(64bit) -
libpanoramix_plugin.so()(64bit) -
libprojectm_plugin.so()(64bit) -
libremoteosd_plugin.so()(64bit) -
libsdl_image_plugin.so()(64bit) -
libxcb_glx_plugin.so()(64bit) -
mimehandler(application/ogg) -
mimehandler(application/vnd.rn-realmedia) -
mimehandler(application/x-extension-mp4) -
mimehandler(application/x-flac) -
mimehandler(application/x-matroska) -
mimehandler(application/x-ogg) -
mimehandler(application/x-shockwave-flash) -
mimehandler(application/xspf+xml) -
mimehandler(audio/amr) -
mimehandler(audio/amr-wb) -
mimehandler(audio/mp4) -
mimehandler(audio/mpeg) -
mimehandler(audio/ogg) -
mimehandler(audio/vnd.rn-realaudio) -
mimehandler(audio/webm) -
mimehandler(audio/x-flac) -
mimehandler(audio/x-m4a) -
mimehandler(audio/x-matroska) -
mimehandler(audio/x-mp3) -
mimehandler(audio/x-mpeg) -
mimehandler(audio/x-mpegurl) -
mimehandler(audio/x-ms-asf) -
mimehandler(audio/x-ms-asx) -
mimehandler(audio/x-ms-wax) -
mimehandler(audio/x-pn-aiff) -
mimehandler(audio/x-pn-au) -
mimehandler(audio/x-pn-realaudio) -
mimehandler(audio/x-pn-realaudio-plugin) -
mimehandler(audio/x-pn-wav) -
mimehandler(audio/x-pn-windows-acm) -
mimehandler(audio/x-real-audio) -
mimehandler(audio/x-scpls) -
mimehandler(audio/x-vorbis+ogg) -
mimehandler(audio/x-wav) -
mimehandler(image/vnd.rn-realpix) -
mimehandler(misc/ultravox) -
mimehandler(video/dv) -
mimehandler(video/mp2t) -
mimehandler(video/mp4) -
mimehandler(video/mp4v-es) -
mimehandler(video/mpeg) -
mimehandler(video/msvideo) -
mimehandler(video/ogg) -
mimehandler(video/quicktime) -
mimehandler(video/vnd.mpegurl) -
mimehandler(video/vnd.rn-realvideo) -
mimehandler(video/webm) -
mimehandler(video/x-anim) -
mimehandler(video/x-avi) -
mimehandler(video/x-flc) -
mimehandler(video/x-fli) -
mimehandler(video/x-flv) -
mimehandler(video/x-matroska) -
mimehandler(video/x-mpeg) -
mimehandler(video/x-ms-asf) -
mimehandler(video/x-ms-wmv) -
mimehandler(video/x-msvideo) -
mimehandler(video/x-nsv) -
mimehandler(video/x-ogm+ogg) -
mimehandler(x-content/audio-cdda) -
mimehandler(x-content/audio-player) -
mimehandler(x-content/video-dvd) -
mimehandler(x-content/video-svcd) -
mimehandler(x-content/video-vcd) -
mimehandler(x-scheme-handler/mms) -
mimehandler(x-scheme-handler/rtmp) -
mimehandler(x-scheme-handler/rtsp) -
vlc = 2.2.4-30.1
vlc(x86-64) = 2.2.4-30.1

Conflicts

Name Value
vlc-beta -

Obsoletes

Name Value
vlc-gnome <= 2.2.4

Download

Type URL
Binary Package vlc-2.2.4-30.1.x86_64.rpm
Source Package vlc-2.2.4-30.1.src.rpm

Install Howto

Install vlc rpm package:

# zypper install vlc

Files

Path
/usr/bin/svlc
/usr/lib64/vlc/plugins/codec/liblibass_plugin.so
/usr/lib64/vlc/plugins/codec/libsdl_image_plugin.so
/usr/lib64/vlc/plugins/notify/libnotify_plugin.so
/usr/lib64/vlc/plugins/text_renderer/libfreetype_plugin.so
/usr/lib64/vlc/plugins/video_filter/libremoteosd_plugin.so
/usr/lib64/vlc/plugins/video_output/libaa_plugin.so
/usr/lib64/vlc/plugins/video_output/libegl_x11_plugin.so
/usr/lib64/vlc/plugins/video_output/libxcb_glx_plugin.so
/usr/lib64/vlc/plugins/video_splitter/libpanoramix_plugin.so
/usr/lib64/vlc/plugins/visualization/libglspectrum_plugin.so
/usr/lib64/vlc/plugins/visualization/libprojectm_plugin.so
/usr/share/appdata/vlc.appdata.xml
/usr/share/applications/vlc.desktop
/usr/share/icons/hicolor/128x128/apps/vlc-xmas.png
/usr/share/icons/hicolor/128x128/apps/vlc.png
/usr/share/icons/hicolor/16x16/apps/vlc.png
/usr/share/icons/hicolor/16x16/apps/vlc.xpm
/usr/share/icons/hicolor/256x256/apps/vlc.png
/usr/share/icons/hicolor/32x32/apps/vlc-xmas.xpm
/usr/share/icons/hicolor/32x32/apps/vlc.png
/usr/share/icons/hicolor/32x32/apps/vlc.xpm
/usr/share/icons/hicolor/48x48/apps/vlc-xmas.png
/usr/share/icons/hicolor/48x48/apps/vlc.png
/usr/share/kde4/
/usr/share/kde4/apps/
/usr/share/kde4/apps/solid/
/usr/share/kde4/apps/solid/actions/vlc-openbd.desktop
/usr/share/kde4/apps/solid/actions/vlc-opencda.desktop
/usr/share/kde4/apps/solid/actions/vlc-opendvd.desktop
/usr/share/kde4/apps/solid/actions/vlc-openvcd.desktop
/usr/share/man/man1/svlc.1.gz
/usr/share/pixmaps/vlc.png
/usr/share/solid/
/usr/share/solid/actions/vlc-openbd.desktop
/usr/share/solid/actions/vlc-opencda.desktop
/usr/share/solid/actions/vlc-opendvd.desktop
/usr/share/solid/actions/vlc-openvcd.desktop

Changelog

2016-11-29 - dimstar@opensuse.org
- Expand the lang_package macro in order to change the dependency
to be on vlc-noX instead of vlc. USers of headless installed
vlc might still be interested in translations too (boo#1012556).
2016-09-28 - dimstar@opensuse.org
- Require libavcodec<ABI>(unrestricted) (<ABI> is automatically
discovered during build based on what libavcodec.so links to)
from vlc-codecs. This ensures that users installing vlc-codecs
will get a prompt to replace the distro-provided libavcodec
package - which is restricted in its formats. This requires the
user to accept a vendor change.
2016-09-20 - jengelh@inai.de
- Drop VLC from summaries (rpmlint: name-repeated-in-summary).
Improve summaries and descriptions.
2016-09-20 - dimstar@opensuse.org
- Update summaries: 'VLC' is sufficiently known by now - and nobody
really remembers the name 'Video Lan Client'.
2016-09-16 - dimstar@opensuse.org
- Rename vlc-noX-lang to vlc-lang: this helps the AppStream builder
in confirming that 'vlc' (the application) does have a full
translation set. Obsolete vlc-noX-lang by vlc-noX directly.
2016-09-05 - dimstar@opensuse.org
- Drop vlc-2.2.4-unambig-shortcuts.patch: it does not solve the
problem it attempted to solve to start with. A better solution
is to be found with upstream.
2016-09-04 - dimstar@opensuse.org
- Update vlc-2.2.4-unambig-shortcuts.patch: Also make ALT-P
unambiguous.
2016-08-31 - dimstar@opensuse.org
- Also use ffmpeg2-devel BuildRequires on Leap 42.2 (sle_version
120200).
2016-08-22 - dimstar@opensuse.org
- Add ffmpeg2-devel BuildRequires for Tumbleweed: older openSUSE
versions had ffmpeg 2.x in the distribution.
2016-08-10 - dimstar@opensuse.org
- BuildConflict pkgconfig(libavutil) >=55: vlc 2.2.x is not yet
compatible with these updates.

See Also

Package Description
vlc-codec-gstreamer-2.2.4-30.1.x86_64.rpm GStreamer integration for the VLC media player
vlc-codec-gstreamer-2.2.6-32.3.1.x86_64.rpm GStreamer integration for the VLC media player
vlc-devel-2.2.4-30.1.x86_64.rpm Development files for the VLC media player system
vlc-devel-2.2.6-32.3.1.x86_64.rpm Development files for the VLC media player system
vlc-lang-2.2.4-30.1.noarch.rpm Translations for package vlc
vlc-lang-2.2.6-32.3.1.noarch.rpm Translations for package vlc
vlc-noX-2.2.4-30.1.x86_64.rpm VLC without X dependencies
vlc-noX-2.2.6-32.3.1.x86_64.rpm VLC without X dependencies
vlc-qt-2.2.4-30.1.x86_64.rpm Qt interface for the VLC media player
vlc-qt-2.2.6-32.3.1.x86_64.rpm Qt interface for the VLC media player
vm-install-0.8.68-2.3.1.x86_64.rpm Tool to Define a Virtual Machine and Install Its Operating System
vncmanager-1.0.1-2.3.1.x86_64.rpm Session manager for VNC
vncmanager-1.0.1-2.6.1.x86_64.rpm Session manager for VNC
vpx-tools-1.3.0-5.3.1.x86_64.rpm VP8 codec library - Utilities
vsftpd-3.0.2-19.1.x86_64.rpm Very Secure FTP Daemon - Written from Scratch
Advertisement
Advertisement